@import url('https://fonts.googleapis.com/css2?family=Inter');

:root {
    --background-color: white;
    --input-color: black;
    --font-color: rgb(0, 0, 0);
    --button-background-color: #283f67;
    --button-font-color: #FFF;
    --input-background-color: white;
}

html, body {
    background-color: var(--background-color);
    height: 100%;
    font-family: "Inter","Segoe UI","Tahoma",sans-serif;
}

input {
    width: 100%;
    display: block;
    margin: .5rem auto;
    font-size: 16px;
    color: var(--font-color) !important;
    border-radius: 4px;
    padding: .5rem 1rem;
    border: 1px solid rgb(204, 205, 207);
    box-shadow: rgba(0, 0, 0, 0.03) 0px 1px 1px, rgba(0, 0, 0, 0.03) 0px 2px 4px;
    background-color: var(--input-background-color) !important;
}

.error {
    color: red;
}

.field-holder {
    width: 100%;
    margin-top: .5rem;
}

.form-element {
    min-width: 250px;
    max-width: 500px;
    margin: 0 auto;
    font-size: 16px;
    color: #ffffff;
}

.k-button-flat-primary {
    color: #3074e3;
}

.k-calendar-td.k-selected .k-link {
    background-color: #3074e3 !important;
}

.k-calendar.telerik-blazor.k-calendar-md {
    background-color: var(--background-color);
    color: var(--font-color);
}

.k-input-button {
    background-color: var(--background-color);
    color: var(--font-color);
}

    .k-input-button:hover {
        background-color: var(--background-color);
        color: var(--font-color);
        filter: brightness(85%);
    }

.k-input-solid.k-valid {
    border-color: rgba(0, 0, 0, 0.08);
}

.submit-button {
    background-color: var(--button-background-color) !important;
    height: 28px;
    line-height: 20px;
    text-align: center;
    border: none;
    border-radius: 4px;
    color: var(--button-font-color);
    background-color: #000;
    font-size: 14px;
    margin: 0 auto 0 auto;
    cursor: pointer;
}

.suffix-card-types {
    background-color: var(--input-background-color);
}

    .suffix-card-types img {
        max-width: 25px;
        margin: 0 .1rem;
    }

.validation-message {
    color: red;
}

.k-form-md .k-form-field {
    margin-top: 0;
}

.k-input-md {
    font-size: 16px;
}

.k-form-buttons .k-actions-start {
    margin-top: .5rem;
}

.k-picker-solid {
    background-color: var(--input-background-color);
}

.k-dropdownlist-popup {
    background-color: var(--input-background-color);
}

.k-list-item {
    background-color: var(--input-background-color);
}

.k-list-item.k-selected, .k-selected.k-list-optionlabel {
    color: var(--input-color);
    background-color: var(--input-background-color);
}

.k-list-item.k-selected.k-focus {
    color: var(--button-font-color);
    background-color: var(--button-background-color);
}

.k-list-item.k-selected:hover, .k-selected.k-list-optionlabel:hover, .k-list-item.k-selected.k-hover, .k-selected.k-hover.k-list-optionlabel {
    color: var(--button-font-color);
    background-color: var(--button-background-color);
}